From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1646795-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (unknown [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 0D67A15802E
	for <garchives@archives.gentoo.org>; Tue, 25 Jun 2024 18:44:10 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id E969C2BC04C;
	Tue, 25 Jun 2024 18:44:04 +0000 (UTC)
Received: from smtp.gentoo.org (dev.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id CE8F12BC04C
	for <gentoo-commits@lists.gentoo.org>; Tue, 25 Jun 2024 18:44:04 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 9092F335C9B
	for <gentoo-commits@lists.gentoo.org>; Tue, 25 Jun 2024 18:44:03 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id E94BC1CF7
	for <gentoo-commits@lists.gentoo.org>; Tue, 25 Jun 2024 18:44:01 +0000 (UTC)
From: "Kyle Elbert" <kcelbert@gmail.com>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Kyle Elbert" <kcelbert@gmail.com>
Message-ID: <1719341029.0e00f92be705d7647c7523194730b58399b4a7ed.kcelbert@gentoo>
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/cloudflare/
X-VCS-Repository: repo/proj/guru
X-VCS-Files: dev-python/cloudflare/cloudflare-3.0.1.ebuild
X-VCS-Directories: dev-python/cloudflare/
X-VCS-Committer: kcelbert
X-VCS-Committer-Name: Kyle Elbert
X-VCS-Revision: 0e00f92be705d7647c7523194730b58399b4a7ed
X-VCS-Branch: dev
Date: Tue, 25 Jun 2024 18:44:01 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 5589f6c0-612e-4c65-90c8-fd9ef2682e4b
X-Archives-Hash: 65fbdf0635cad770e437226d68392dd2

commit:     0e00f92be705d7647c7523194730b58399b4a7ed
Author:     Kyle Elbert <kcelbert <AT> gmail <DOT> com>
AuthorDate: Tue Jun 25 18:42:04 2024 +0000
Commit:     Kyle Elbert <kcelbert <AT> gmail <DOT> com>
CommitDate: Tue Jun 25 18:43:49 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0e00f92b

dev-python/cloudflare: 3.0.1: minor cleanup

Signed-off-by: Kyle Elbert <kcelbert <AT> gmail.com>

 dev-python/cloudflare/cloudflare-3.0.1.ebuild | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/dev-python/cloudflare/cloudflare-3.0.1.ebuild b/dev-python/cloudflare/cloudflare-3.0.1.ebuild
index 735c52bb8..d4fc4813a 100644
--- a/dev-python/cloudflare/cloudflare-3.0.1.ebuild
+++ b/dev-python/cloudflare/cloudflare-3.0.1.ebuild
@@ -23,7 +23,7 @@ else
 	KEYWORDS="~amd64 ~arm64"
 fi
 LICENSE="MIT test? ( ISC Apache-2.0 MIT BSD CC0-1.0 0BSD )"
-# nodejs package and deps used to test
+# nodejs module and deps used to test
 SLOT="3"
 RDEPEND=" ${DEPEND}
 	>=dev-python/httpx-0.23.0[${PYTHON_USEDEP}]
@@ -44,7 +44,6 @@ BDEPEND="test? (
 )"
 
 distutils_enable_tests pytest
-RESTRICT="mirror" #mirror restricted only because overlay
 RESTRICT+=" !test? ( test )"
 
 src_unpack() {
@@ -76,12 +75,12 @@ python_test() {
 src_test() {
 	# Run prism mock api server, this is what needs nodejs
 	node --no-warnings node_modules/@stoplight/prism-cli/dist/index.js mock \
-		"cloudflare-spec.yml" >prism.log &
+		"cloudflare-spec.yml" >prism.log || die "Failed starting prism" &
 	local MOCK_PID=$!
 	# Wait for server to come online
 	echo -n "Waiting for mockserver"
 	while ! grep -q "✖  fatal\|Prism is listening" "prism.log" ; do
-	    echo -n "."
+	    echo -n "." || die
 	    sleep 0.5
 	done
 	if grep -q "✖  fatal" prism.log; then